

Witth gcc-2.95.4:

kernel/built-in.o(.debug_info+0x313f46): undefined reference to `__try_stop_module'
kernel/built-in.o(.debug_info+0x31506f): undefined reference to `__unlink_module'
kernel/built-in.o(.debug_info+0x316250): undefined reference to `__link_module'

Not sure why that happened, but making these functions inline is kinda dopey
anyway.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/module.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN kernel/module.c~fix-kallsyms-insmod-rmmod-race-fix-fix kernel/module.c
--- 25/kernel/module.c~fix-kallsyms-insmod-rmmod-race-fix-fix	2005-01-29 00:40:43.000000000 -0800
+++ 25-akpm/kernel/module.c	2005-01-29 00:41:12.000000000 -0800
@@ -472,7 +472,7 @@ struct stopref
 };
 
 /* Whole machine is stopped with interrupts off when this runs. */
-static inline int __try_stop_module(void *_sref)
+static int __try_stop_module(void *_sref)
 {
 	struct stopref *sref = _sref;
 
@@ -1076,7 +1076,7 @@ static void mod_kobject_remove(struct mo
  * unlink the module with the whole machine is stopped with interrupts off
  * - this defends against kallsyms not taking locks
  */
-static inline int __unlink_module(void *_mod)
+static int __unlink_module(void *_mod)
 {
 	struct module *mod = _mod;
 	list_del(&mod->list);
@@ -1761,7 +1761,7 @@ static struct module *load_module(void _
  * link the module with the whole machine is stopped with interrupts off
  * - this defends against kallsyms not taking locks
  */
-static inline int __link_module(void *_mod)
+static int __link_module(void *_mod)
 {
 	struct module *mod = _mod;
 	list_add(&mod->list, &modules);
_
